Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.emf.ecp.view.spi.table.celleditor.rcp
Enum NativeWidgetHelper.CheckBoxState

    java.lang.Object
      java.lang.Enum<NativeWidgetHelper.CheckBoxState>
          org.eclipse.emf.ecp.view.spi.table.celleditor.rcp.NativeWidgetHelper.CheckBoxState

All Implemented Interfaces:
  Serializable, Comparable<NativeWidgetHelper.CheckBoxState>

Enclosing class:
  NativeWidgetHelper

    public static enum NativeWidgetHelper.CheckBoxState

extends Enum<NativeWidgetHelper.CheckBoxState>

Enum describing the state of a checkbox.

Author:
  jfaltermeier

Enum Constant Summary
`checked` The enabled, visible, checked state.
`unchecked` The enabled, visible, uncheched state.

Method Summary
`static NativeWidgetHelper.CheckBoxState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NativeWidgetHelper.CheckBoxState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### checked

    public static final NativeWidgetHelper.CheckBoxState checked

  The enabled, visible, checked state.

### unchecked

    public static final NativeWidgetHelper.CheckBoxState unchecked

  The enabled, visible, uncheched state.

Method Detail

### values

    public static NativeWidgetHelper.CheckBoxState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NativeWidgetHelper.CheckBoxState c : NativeWidgetHelper.CheckBoxState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NativeWidgetHelper.CheckBoxState valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015. All Rights Reserved.